<?php
// Check to ensure this file is included in Joomla!
defined( '_JEXEC' ) or die( 'Restricted access' );

// Import library dependencies
jimport('joomla.event.plugin');




class plgSystemDYNotificationManager extends JPlugin
{
	 /**
	 * Constructor
	 *
	 * For php4 compatability we must not use the __constructor as a constructor for plugins
	 * because func_get_args ( void ) returns a copy of all passed arguments NOT references.
	 * This causes problems with cross-referencing necessary for the observer design pattern.
	 *
	 * @access	protected
	 * @param	object $subject The object to observe
	 * @param 	array  $config  An array that holds the plugin configuration
	 * @since	1.0
	 */
	function plgSystemDYNotificationManager(& $subject, $config)
	{	
		parent::__construct( $subject , $config );

// load plugin parameters
        $this->_plugin = JPluginHelper::getPlugin( 'system', 'dynotificationmanager' );
        $this->_params = new JParameter( $this->_plugin->params );

	}

	function onAfterRoute()
	{
		
		
		global $mainframe;


//// Option to enable/disable notifications on items from the backend
	
$notifyonbackend = $this->params->get( 'notifyonbackend' );

if ($mainframe->isAdmin() && !$notifyonbackend) {
	return; // Dont run in admin
}




//// Load Language Files
		$lang   =& JFactory::getLanguage();
		$lang->load( 'plg_system_dynotificationmanager' , JPATH_ADMINISTRATOR );




//// Set User Variables
		$user =& JFactory::getUser();
		$isAuthor = ($user->usertype == 'Author');
		$isPublisher = ($user->usertype == 'Publisher');
		$isEditor = ($user->usertype == 'Editor');
		$isManager = ($user->usertype == 'Manager');
		$isAdministrator = ($user->usertype == 'Administrator');
		$isSuperAdministrator = ($user->usertype == 'Super Administrator');


//// Set options for notification
// Content
		$notifyoncontent = $this->params->get( 'notifyoncontent' );

		$notifyoncontentauthorcreate = $this->params->get( 'notifyoncontentauthorcreate' );
		$notifyoncontentauthoredit = $this->params->get( 'notifyoncontentauthoredit' );

		$notifyoncontenteditorcreate = $this->params->get( 'notifyoncontenteditorcreate' );
		$notifyoncontenteditoredit = $this->params->get( 'notifyoncontenteditoredit' );

		$notifyoncontentpublishercreate = $this->params->get( 'notifyoncontentpublishercreate' );
		$notifyoncontentpublisheredit = $this->params->get( 'notifyoncontentpublisheredit' );

		$notifyoncontentmanagercreate = $this->params->get( 'notifyoncontentmanagercreate' );
		$notifyoncontentmanageredit = $this->params->get( 'notifyoncontentmanageredit' );
		$notifyoncontentmanagerdelete = $this->params->get( 'notifyoncontentmanagerdelete' );

		$notifyoncontentadministratorcreate = $this->params->get( 'notifyoncontentadministratorcreate' );
		$notifyoncontentadministratoredit = $this->params->get( 'notifyoncontentadministratoredit' );
		$notifyoncontentadministratordelete = $this->params->get( 'notifyoncontentadministratordelete' );

		$notifyoncontentsuperadministratorcreate = $this->params->get( 'notifyoncontentsuperadministratorcreate' );
		$notifyoncontentsuperadministratoredit = $this->params->get( 'notifyoncontentsuperadministratoredit' );
		$notifyoncontentsuperadministratordelete = $this->params->get( 'notifyoncontentsuperadministratordelete' );


// Weblinks

		$notifyonweblinks = $this->params->get( 'notifyonweblinks' );

		$notifyonweblinksauthorcreate = $this->params->get( 'notifyonweblinksauthorcreate' );
		$notifyonweblinksauthoredit = $this->params->get( 'notifyonweblinksauthoredit' );

		$notifyonweblinkseditorcreate = $this->params->get( 'notifyonweblinkseditorcreate' );
		$notifyonweblinkseditoredit = $this->params->get( 'notifyonweblinkseditoredit' );

		$notifyonweblinkspublishercreate = $this->params->get( 'notifyonweblinkspublishercreate' );
		$notifyonweblinkspublisheredit = $this->params->get( 'notifyonweblinkspublisheredit' );

		$notifyonweblinksmanagercreate = $this->params->get( 'notifyonweblinksmanagercreate' );
		$notifyonweblinksmanageredit = $this->params->get( 'notifyonweblinksmanageredit' );
		$notifyonweblinksmanagerdelete = $this->params->get( 'notifyonweblinksmanagerdelete' );

		$notifyonweblinksadministratorcreate = $this->params->get( 'notifyonweblinksadministratorcreate' );
		$notifyonweblinksadministratoredit = $this->params->get( 'notifyonweblinksadministratoredit' );
		$notifyonweblinksadministratordelete = $this->params->get( 'notifyonweblinksadministratordelete' );

		$notifyonweblinkssuperadministratorcreate = $this->params->get( 'notifyonweblinkssuperadministratorcreate' );
		$notifyonweblinkssuperadministratoredit = $this->params->get( 'notifyonweblinkssuperadministratoredit' );
		$notifyonweblinkssuperadministratordelete = $this->params->get( 'notifyonweblinkssuperadministratordelete' );






//// Set component option tasks
		$isContentOption = (JRequest::getCmd( 'option' ) == 'com_content') && $notifyoncontent;
		$isWeblinksOption = (JRequest::getCmd( 'option' ) == 'com_weblinks') && $notifyonweblinks;

//// Set tasks for Content
		$isEditingContent = (JRequest::getCmd( 'task' ) == 'save') && $isContentOption || (JRequest::getCmd( 'task' ) == 'apply') && $isContentOption;
		$isDeletingContent = (JRequest::getCmd( 'task' ) == 'remove') && $isContentOption;


//// Set tasks for Weblinks
		$isEditingWeblink = (JRequest::getCmd( 'task' ) == 'save') && $isWeblinksOption || (JRequest::getCmd( 'task' ) == 'apply') && $isWeblinksOption;
		$isDeletingWeblink = (JRequest::getCmd( 'task' ) == 'remove') && $isWeblinksOption;




//// Set other Variables
		$sitename = $mainframe->getCfg('sitename');


	
//// Set the database reference for all database queries
		$db = &JFactory::getDBO();


//// Get the last article ID from database
		$query="SELECT MAX(id) FROM #__content";
		$db->setQuery($query);
		$contentrowid=$db->loadResult();
		if (!$db->query()) {
		JError::raiseError( 500, $contentrowid->getError());
		return;
		}


//// Get the last weblinks ID from the database
		$query="SELECT MAX(id) FROM #__weblinks";
		$db->setQuery($query);
		$weblinksrowid=$db->loadResult();
		if (!$db->query()) {
		JError::raiseError( 500, $weblinksrowid->getError());
		return;
		}

		if ($isContentOption) {
//// Set Variable for new entries
// Get data from request
		$contentpost = JRequest::get('post');
		$contentpostid = JRequest::getVar('id');
		$contentpostcatid = JRequest::getVar('catid');
		$contentpostsectionid = JRequest::getVar('sectionid');
		
// Set Content Variable
		$ContentisNew = ((int) $contentpost['id'] < 1);
		}


//// Option for the domain paths for the email

$domainlinktype = $this->params->get( 'domainlinktype' );

if (!$domainlinktype) {
	$SERVER = "http://".$_SERVER["SERVER_NAME"];}

else {
	$SERVER = JURI::root();
}

		

		
//// Create part of the paths for the links


		$SERVER2 = $_SERVER["SERVER_NAME"];
		$SERVERWITHSUB = JURI::root();


//// Create the article path
// NEW Articles
		if ($mainframe->isAdmin()) {

		$CONTENT_LAST_ID=$contentrowid;
		$ARTICLE_ID=$CONTENT_LAST_ID+1;
		require_once (JPATH_SITE.DS.'components'.DS.'com_content'.DS.'helpers'.DS.'route.php');
		$contentcreatepath=JRoute::_( ContentHelperRoute::getArticleRoute($ARTICLE_ID, $contentpostcatid, $contentpostsectionid));
		$contentcreateaddress=$SERVERWITHSUB.$contentcreatepath;
		}
		else {
	
		$CONTENT_LAST_ID=$contentrowid;
		$ARTICLE_ID=$CONTENT_LAST_ID+1;
		require_once (JPATH_SITE.DS.'components'.DS.'com_content'.DS.'helpers'.DS.'route.php');
		$contentcreatepath=JRoute::_( ContentHelperRoute::getArticleRoute($ARTICLE_ID, $contentpostcatid, $contentpostsectionid));
		$contentcreateaddress="http://".$SERVER2.$contentcreatepath;
		}

// Edited Articles
		if ($mainframe->isAdmin()) {

		require_once (JPATH_SITE.DS.'components'.DS.'com_content'.DS.'helpers'.DS.'route.php');
		$contenteditpath=JRoute::_( ContentHelperRoute::getArticleRoute($contentpostid, $contentpostcatid, $contentpostsectionid));
		$contenteditaddress=$SERVERWITHSUB.$contenteditpath;
		}
		else {

		require_once (JPATH_SITE.DS.'components'.DS.'com_content'.DS.'helpers'.DS.'route.php');
		$contenteditpath=JRoute::_( ContentHelperRoute::getArticleRoute($contentpostid, $contentpostcatid, $contentpostsectionid));
		$contenteditaddress="http://".$SERVER2.$contenteditpath;
		}



//// Do amp exchange to tidy the address to the article
		$contentcreateaddress = str_replace("&amp;", "&", $contentcreateaddress);
		$contenteditaddress = str_replace("&amp;", "&", $contenteditaddress);






//// Start the real work!!!!

################################### STOP ADMIN EMAILS ###############################################

$setadminemail = $this->params->get( 'setadminemail' );

if (!$setadminemail) {
$query = "UPDATE #__users SET sendEmail = 0 WHERE gid = 25";
         $db->setQuery($query);
$db->query() or die( $db->stderr() ); }

else {
$query = "UPDATE #__users SET sendEmail = 1 WHERE gid = 25";
         $db->setQuery($query);
$db->query() or die( $db->stderr() );

}

#################################### CREATE CONTENT ###################################################

$var_allarticlecreatesubject = $this->params->get( 'allarticlecreatesubject' );
$var_allarticlecreaterecipient = $this->params->get( 'allarticlecreaterecipient' );


if ($this->params->get('copycreatecontent', 1)) {

$this->params->set('authorarticlecreatesubject', $var_allarticlecreatesubject);
$this->params->set('authorarticlecreaterecipient', $var_allarticlecreaterecipient);

$this->params->set('editorarticlecreatesubject', $var_allarticlecreatesubject);
$this->params->set('editorarticlecreaterecipient', $var_allarticlecreaterecipient);

$this->params->set('publisherarticlecreatesubject', $var_allarticlecreatesubject);
$this->params->set('publisherarticlecreaterecipient', $var_allarticlecreaterecipient);

$this->params->set('managerarticlecreatesubject', $var_allarticlecreatesubject);
$this->params->set('managerarticlecreaterecipient', $var_allarticlecreaterecipient);

$this->params->set('administratorarticlecreatesubject', $var_allarticlecreatesubject);
$this->params->set('administratorarticlecreaterecipient', $var_allarticlecreaterecipient);

$this->params->set('superadministratorarticlecreatesubject', $var_allarticlecreatesubject);
$this->params->set('superadministratorarticlecreaterecipient', $var_allarticlecreaterecipient);

}

	

##################################### EDIT CONTENT ##################################################

$var_allarticleeditsubject = $this->params->get( 'allarticleeditsubject' );
$var_allarticleeditrecipient = $this->params->get( 'allarticleeditrecipient' );


if ($this->params->get('copyeditcontent', 1)) {

$this->params->set('authorarticleeditsubject', $var_allarticleeditsubject);
$this->params->set('authorarticleeditrecipient', $var_allarticleeditrecipient);

$this->params->set('editorarticleeditsubject', $var_allarticleeditsubject);
$this->params->set('editorarticleeditrecipient', $var_allarticleeditrecipient);

$this->params->set('publisherarticleeditsubject', $var_allarticleeditsubject);
$this->params->set('publisherarticleeditrecipient', $var_allarticleeditrecipient);

$this->params->set('managerarticleeditsubject', $var_allarticleeditsubject);
$this->params->set('managerarticleeditrecipient', $var_allarticleeditrecipient);

$this->params->set('administratorarticleeditsubject', $var_allarticleeditsubject);
$this->params->set('administratorarticleeditrecipient', $var_allarticleeditrecipient);

$this->params->set('superadministratorarticleeditsubject', $var_allarticleeditsubject);
$this->params->set('superadministratorarticleeditrecipient', $var_allarticleeditrecipient);

}

##################################### DELETE CONTENT ###############################################

$var_allarticledeletesubject = $this->params->get( 'allarticledeletesubject' );
$var_allarticledeleterecipient = $this->params->get( 'allarticledeleterecipient' );


if ($this->params->get('copydeletecontent', 1)) {

$this->params->set('authorarticledeletesubject', $var_allarticledeletesubject);
$this->params->set('authorarticledeleterecipient', $var_allarticledeleterecipient);

$this->params->set('editorarticledeletesubject', $var_allarticledeletesubject);
$this->params->set('editorarticledeleterecipient', $var_allarticledeleterecipient);

$this->params->set('publisherarticledeletesubject', $var_allarticledeletesubject);
$this->params->set('publisherarticledeleterecipient', $var_allarticledeleterecipient);

$this->params->set('managerarticledeletesubject', $var_allarticledeletesubject);
$this->params->set('managerarticledeleterecipient', $var_allarticledeleterecipient);

$this->params->set('administratorarticledeletesubject', $var_allarticledeletesubject);
$this->params->set('administratorarticledeleterecipient', $var_allarticledeleterecipient);

$this->params->set('superadministratorarticledeletesubject', $var_allarticledeletesubject);
$this->params->set('superadministratorarticledeleterecipient', $var_allarticledeleterecipient);

}

#######################################################################################################
##################################### CREATE WEBLINK ##################################################

$var_allweblinkcreatesubject = $this->params->get( 'allweblinkcreatesubject' );
$var_allweblinkcreaterecipient = $this->params->get( 'allweblinkcreaterecipient' );


if ($this->params->get('copycreateweblink', 1)) {

$this->params->set('authorweblinkcreatesubject', $var_allweblinkcreatesubject);
$this->params->set('authorweblinkcreaterecipient', $var_allweblinkcreaterecipient);

$this->params->set('editorweblinkcreatesubject', $var_allweblinkcreatesubject);
$this->params->set('editorweblinkcreaterecipient', $var_allweblinkcreaterecipient);

$this->params->set('publisherweblinkcreatesubject', $var_allweblinkcreatesubject);
$this->params->set('publisherweblinkcreaterecipient', $var_allweblinkcreaterecipient);

$this->params->set('managerweblinkcreatesubject', $var_allweblinkcreatesubject);
$this->params->set('managerweblinkcreaterecipient', $var_allweblinkcreaterecipient);

$this->params->set('administratorweblinkcreatesubject', $var_allweblinkcreatesubject);
$this->params->set('administratorweblinkcreaterecipient', $var_allweblinkcreaterecipient);

$this->params->set('superadministratorweblinkcreatesubject', $var_allweblinkcreatesubject);
$this->params->set('superadministratorweblinkcreaterecipient', $var_allweblinkcreaterecipient);

}

####################################### EDIT WEBLINK #####################################################

$var_allweblinkeditsubject = $this->params->get( 'allweblinkeditsubject' );
$var_allweblinkeditrecipient = $this->params->get( 'allweblinkeditrecipient' );


if ($this->params->get('copyeditweblink', 1)) {

$this->params->set('authorweblinkeditsubject', $var_allweblinkeditsubject);
$this->params->set('authorweblinkeditrecipient', $var_allweblinkeditrecipient);

$this->params->set('editorweblinkeditsubject', $var_allweblinkeditsubject);
$this->params->set('editorweblinkeditrecipient', $var_allweblinkeditrecipient);

$this->params->set('publisherweblinkeditsubject', $var_allweblinkeditsubject);
$this->params->set('publisherweblinkeditrecipient', $var_allweblinkeditrecipient);

$this->params->set('managerweblinkeditsubject', $var_allweblinkeditsubject);
$this->params->set('managerweblinkeditrecipient', $var_allweblinkeditrecipient);

$this->params->set('administratorweblinkeditsubject', $var_allweblinkeditsubject);
$this->params->set('administratorweblinkeditrecipient', $var_allweblinkeditrecipient);

$this->params->set('superadministratorweblinkeditsubject', $var_allweblinkeditsubject);
$this->params->set('superadministratorweblinkeditrecipient', $var_allweblinkeditrecipient);

}

######################################## DELETE WEBLINK ####################################################

$var_allweblinkdeletesubject = $this->params->get( 'allweblinkdeletesubject' );
$var_allweblinkdeleterecipient = $this->params->get( 'allweblinkdeleterecipient' );


if ($this->params->get('copydeleteweblink', 1)) {

$this->params->set('authorweblinkdeletesubject', $var_allweblinkdeletesubject);
$this->params->set('authorweblinkdeleterecipient', $var_allweblinkdeleterecipient);

$this->params->set('editorweblinkdeletesubject', $var_allweblinkdeletesubject);
$this->params->set('editorweblinkdeleterecipient', $var_allweblinkdeleterecipient);

$this->params->set('publisherweblinkdeletesubject', $var_allweblinkdeletesubject);
$this->params->set('publisherweblinkdeleterecipient', $var_allweblinkdeleterecipient);

$this->params->set('managerweblinkdeletesubject', $var_allweblinkdeletesubject);
$this->params->set('managerweblinkdeleterecipient', $var_allweblinkdeleterecipient);

$this->params->set('administratorweblinkdeletesubject', $var_allweblinkdeletesubject);
$this->params->set('administratorweblinkdeleterecipient', $var_allweblinkdeleterecipient);

$this->params->set('superadministratorweblinkdeletesubject', $var_allweblinkdeletesubject);
$this->params->set('superadministratorweblinkdeleterecipient', $var_allweblinkdeleterecipient);

}







/////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////// OPTION IS CONTENT ///////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////

if ($isContentOption) {

//// Set label text for published state
		$contentstate = JRequest::getVar( 'state' );

		if ($contentstate['state']==0) {
			$contentpublishedtext = JText::_( 'unpublished' );}
		else{
			$contentpublishedtext = JText::_( 'published' );}
			
			
			
//// Set label text for frontpage choice		
		$contentfrontpage = JRequest::getVar( 'frontpage' );		

		if ($contentfrontpage['frontpage']==0){
			$contentfrontpagetext = JText::_( 'no' );}
		else{
			$contentfrontpagetext = JText::_( 'yes' );}




			


if ($isAuthor && $isEditingContent) {

	if (JRequest::getVar( 'sectionid' )==0) {
		# Do nothing
	$contentsectionname = JText::_( 'uncategorized' );
	}
	else {

//// Get the content Section Name from the database using the Section ID

// get a JTable Section object
$contentsection = & JTable::getInstance('section');

// load the row with a specific id
$contentsection->load(JRequest::getVar( 'sectionid' ));

// Check for errors and display message to suit
if( !$contentsection->load( JRequest::getVar( 'sectionid' ) ) ) { 
JError::raiseError( 500, $contentsection->getError());
}

//$contentsection now contains all the fields from that row, set variables for the values we want
$contentsectionname = $contentsection->title;

	}



	if (JRequest::getVar( 'catid' )==0) {
		# Do nothing
	$contentcategoryname = JText::_( 'uncategorized' );
	}
	else {


//// Get the content Category Name from the database using the Category ID

// get a JTable Category object
$contentcategory = & JTable::getInstance('category');

// load the row with a specific id
$contentcategory->load(JRequest::getVar( 'catid' ));

// Check for errors and display message to suit
if( !$contentcategory->load( JRequest::getVar( 'catid' ) ) ) { 
JError::raiseError( 500, $contentcategory->getError());
}

//$contentcategory now contains all the fields from that row, set variables for the values we want
$contentcategoryname = $contentcategory->title;

	}


//// Get the Author Name from the database using the User ID

// get a JTable User object
$authordetails = & JTable::getInstance('user');

// load the row with a specific id
$authordetails->load(JRequest::getVar( 'created_by' ));

// Check for errors and display message to suit
if( !$authordetails->load( JRequest::getVar( 'created_by' ) ) ) { 
JError::raiseError( 500, $authordetails->getError());
}

//$authordetails now contains all the fields from that row, set variables for the values we want
$authorname = $authordetails->name;
$authorusername = $authordetails->username;



//// Get the content Access Level Name from the database using the Access Level ID


$query=" SELECT id, name FROM #__groups WHERE id = " . JRequest::getVar( 'access' );
$db->setQuery($query);
$contentaccess=$db->loadObject();
if (!$db->query()) {
    JError::raiseError( 500, $contentaccess->getError());
    return;
}



$contentaccessname = $contentaccess->name;


////////////////////////// AUTHOR /////////////////////////////////////////


			If ($ContentisNew && $notifyoncontentauthorcreate) {
// Author - Created Article
			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'contentaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'hascreatedarticle' ) . ' "' . JRequest::getVar( 'title' ) . "\"\n";
			$msg .= JText::_( 'contentsectionname' ) . ' ' . $contentsectionname . "\n";
			$msg .= JText::_( 'contentcategoryname' ) . ' ' . $contentcategoryname . "\n";
			$msg .= JText::_( 'contentfrontpage' ) . ' ' . $contentfrontpagetext . "\n";
			$msg .= JText::_( 'contentauthorname' ) . ' ' . $authorname . "\n";
			$msg .= JText::_( 'contentauthorusername' ) . ' ' . $authorusername . "\n";
			$msg .= JText::_( 'contentauthoralias' ) . ' ' . JRequest::getVar( 'created_by_alias' ) . "\n";
			$msg .= JText::_( 'contentstartpublishingdate' ) . ' ' . JRequest::getVar( 'publish_up' ) . "\n";
			$msg .= JText::_( 'contentfinishpublishingdate' ) . ' ' . JRequest::getVar( 'publish_down' ) . "\n";
			$msg .= JText::_( 'contentaccess' ) . ' ' . $contentaccessname . "\n";
			$msg .= JText::_( 'contentmetadescription' ) . ' ' . JRequest::getVar( 'metadesc' ) . "\n";
			$msg .= JText::_( 'contentmetakeywords' ) . ' ' . JRequest::getVar( 'metakey' ) . "\n";
			$msg .= JText::_( 'contentpublishstate' ) . ' ' . $contentpublishedtext . "\n";
			$msg .= JText::_( 'contentlink' ) . ' ' . $contentcreateaddress . "\n";
			$msg .= JText::_( 'contenteditlink' ) . ' ' . $SERVERWITHSUB . "administrator/index.php?option=com_content&sectionid=-1&task=edit&cid[]=" . $ARTICLE_ID . "\n";


			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'authorarticlecreatesubject') . ' ' . $user->name . ' ' . JText::_( 'hascreatedarticle' ) . ' "' . JRequest::getVar( 'title') . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'authorarticlecreaterecipient'));
			$mail->Send();
			}
		else if ($notifyoncontentauthoredit) {
// Author - Edited Article
			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'contentaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'haseditedarticle' ) . ' "' . JRequest::getVar( 'title' ) . "\"\n";
			$msg .= JText::_( 'contentsectionname' ) . ' ' . $contentsectionname . "\n";
			$msg .= JText::_( 'contentcategoryname' ) . ' ' . $contentcategoryname . "\n";
			$msg .= JText::_( 'contentfrontpage' ) . ' ' . $contentfrontpagetext . "\n";
			$msg .= JText::_( 'contentauthorname' ) . ' ' . $authorname . "\n";
			$msg .= JText::_( 'contentauthorusername' ) . ' ' . $authorusername . "\n";
			$msg .= JText::_( 'contentauthoralias' ) . ' ' . JRequest::getVar( 'created_by_alias' ) . "\n";
			$msg .= JText::_( 'contentstartpublishingdate' ) . ' ' . JRequest::getVar( 'publish_up' ) . "\n";
			$msg .= JText::_( 'contentfinishpublishingdate' ) . ' ' . JRequest::getVar( 'publish_down' ) . "\n";
			$msg .= JText::_( 'contentaccess' ) . ' ' . $contentaccessname . "\n";
			$msg .= JText::_( 'contentmetadescription' ) . ' ' . JRequest::getVar( 'metadesc' ) . "\n";
			$msg .= JText::_( 'contentmetakeywords' ) . ' ' . JRequest::getVar( 'metakey' ) . "\n";
			$msg .= JText::_( 'contentpublishstate' ) . ' ' . $contentpublishedtext . "\n";
			$msg .= JText::_( 'contentlink' ) . ' ' . $contenteditaddress . "\n";
			$msg .= JText::_( 'contenteditlink' ) . ' ' . $SERVERWITHSUB . "administrator/index.php?option=com_content&sectionid=-1&task=edit&cid[]=" . $contentpostid . "\n";



			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'authorarticleeditsubject') . ' ' . $user->name . ' ' . JText::_( 'haseditedarticle' ) . ' "' . JRequest::getVar( 'title') . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'authorarticleeditrecipient'));
			$mail->Send();
			}
			}





///////////////////////// EDITOR ////////////////////////////////////////////
		if ($isEditor && $isEditingContent) {


	if (JRequest::getVar( 'sectionid' )==0) {
		# Do nothing
	$contentsectionname = JText::_( 'uncategorized' );
	}
	else {

//// Get the content Section Name from the database using the Section ID

// get a JTable Section object
$contentsection = & JTable::getInstance('section');

// load the row with a specific id
$contentsection->load(JRequest::getVar( 'sectionid' ));

// Check for errors and display message to suit
if( !$contentsection->load( JRequest::getVar( 'sectionid' ) ) ) { 
JError::raiseError( 500, $contentsection->getError());
}

//$contentsection now contains all the fields from that row, set variables for the values we want
$contentsectionname = $contentsection->title;

	}



	if (JRequest::getVar( 'catid' )==0) {
		# Do nothing
	$contentcategoryname = JText::_( 'uncategorized' );
	}
	else {


//// Get the content Category Name from the database using the Category ID

// get a JTable Category object
$contentcategory = & JTable::getInstance('category');

// load the row with a specific id
$contentcategory->load(JRequest::getVar( 'catid' ));

// Check for errors and display message to suit
if( !$contentcategory->load( JRequest::getVar( 'catid' ) ) ) { 
JError::raiseError( 500, $contentcategory->getError());
}

//$contentcategory now contains all the fields from that row, set variables for the values we want
$contentcategoryname = $contentcategory->title;

	}




//// Get the Author Name from the database using the User ID

// get a JTable User object
$authordetails = & JTable::getInstance('user');

// load the row with a specific id
$authordetails->load(JRequest::getVar( 'created_by' ));

// Check for errors and display message to suit
if( !$authordetails->load( JRequest::getVar( 'created_by' ) ) ) { 
JError::raiseError( 500, $authordetails->getError());
}

//$authordetails now contains all the fields from that row, set variables for the values we want
$authorname = $authordetails->name;
$authorusername = $authordetails->username;



//// Get the content Access Level Name from the database using the Access Level ID


$query=" SELECT id, name FROM #__groups WHERE id = " . JRequest::getVar( 'access' );
$db->setQuery($query);
$contentaccess=$db->loadObject();
if (!$db->query()) {
    JError::raiseError( 500, $contentaccess->getError());
    return;
}



$contentaccessname = $contentaccess->name;






			If ($ContentisNew && $notifyoncontenteditorcreate) {
// Editor - Created Article
			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'contentaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'hascreatedarticle' ) . ' "' . JRequest::getVar( 'title' ) . "\"\n";
			$msg .= JText::_( 'contentsectionname' ) . ' ' . $contentsectionname . "\n";
			$msg .= JText::_( 'contentcategoryname' ) . ' ' . $contentcategoryname . "\n";
			$msg .= JText::_( 'contentfrontpage' ) . ' ' . $contentfrontpagetext . "\n";
			$msg .= JText::_( 'contentauthorname' ) . ' ' . $authorname . "\n";
			$msg .= JText::_( 'contentauthorusername' ) . ' ' . $authorusername . "\n";
			$msg .= JText::_( 'contentauthoralias' ) . ' ' . JRequest::getVar( 'created_by_alias' ) . "\n";
			$msg .= JText::_( 'contentstartpublishingdate' ) . ' ' . JRequest::getVar( 'publish_up' ) . "\n";
			$msg .= JText::_( 'contentfinishpublishingdate' ) . ' ' . JRequest::getVar( 'publish_down' ) . "\n";
			$msg .= JText::_( 'contentaccess' ) . ' ' . $contentaccessname . "\n";
			$msg .= JText::_( 'contentmetadescription' ) . ' ' . JRequest::getVar( 'metadesc' ) . "\n";
			$msg .= JText::_( 'contentmetakeywords' ) . ' ' . JRequest::getVar( 'metakey' ) . "\n";
			$msg .= JText::_( 'contentpublishstate' ) . ' ' . $contentpublishedtext . "\n";
			$msg .= JText::_( 'contentlink' ) . ' ' . $contentcreateaddress . "\n";
			$msg .= JText::_( 'contenteditlink' ) . ' ' . $SERVERWITHSUB . "administrator/index.php?option=com_content&sectionid=-1&task=edit&cid[]=" . $ARTICLE_ID . "\n";

			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'editorarticlecreatesubject') . ' ' . $user->name . ' ' . JText::_( 'hascreatedarticle' ) . ' "' . JRequest::getVar( 'title') . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'editorarticlecreaterecipient'));
			$mail->Send();
			}
		else if ($notifyoncontenteditoredit) {
// Editor - Edited Article
			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'contentaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'haseditedarticle' ) . ' "' . JRequest::getVar( 'title' ) . "\"\n";
			$msg .= JText::_( 'contentsectionname' ) . ' ' . $contentsectionname . "\n";
			$msg .= JText::_( 'contentcategoryname' ) . ' ' . $contentcategoryname . "\n";
			$msg .= JText::_( 'contentfrontpage' ) . ' ' . $contentfrontpagetext . "\n";
			$msg .= JText::_( 'contentauthorname' ) . ' ' . $authorname . "\n";
			$msg .= JText::_( 'contentauthorusername' ) . ' ' . $authorusername . "\n";
			$msg .= JText::_( 'contentauthoralias' ) . ' ' . JRequest::getVar( 'created_by_alias' ) . "\n";
			$msg .= JText::_( 'contentstartpublishingdate' ) . ' ' . JRequest::getVar( 'publish_up' ) . "\n";
			$msg .= JText::_( 'contentfinishpublishingdate' ) . ' ' . JRequest::getVar( 'publish_down' ) . "\n";
			$msg .= JText::_( 'contentaccess' ) . ' ' . $contentaccessname . "\n";
			$msg .= JText::_( 'contentmetadescription' ) . ' ' . JRequest::getVar( 'metadesc' ) . "\n";
			$msg .= JText::_( 'contentmetakeywords' ) . ' ' . JRequest::getVar( 'metakey' ) . "\n";
			$msg .= JText::_( 'contentpublishstate' ) . ' ' . $contentpublishedtext . "\n";
			$msg .= JText::_( 'contentlink' ) . ' ' . $contenteditaddress . "\n";
			$msg .= JText::_( 'contenteditlink' ) . ' ' . $SERVERWITHSUB . "administrator/index.php?option=com_content&sectionid=-1&task=edit&cid[]=" . $contentpostid . "\n";

			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'editorarticleeditsubject') . ' ' . $user->name . ' ' . JText::_( 'haseditedarticle' ) . ' "' . JRequest::getVar( 'title') . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'editorarticleeditrecipient'));
			$mail->Send();
			}
			}





////////////////////////// PUBLISHER ///////////////////////////////////////////////
		if ($isPublisher && $isEditingContent) {



	if (JRequest::getVar( 'sectionid' )==0) {
		# Do nothing
	$contentsectionname = JText::_( 'uncategorized' );
	}
	else {

//// Get the content Section Name from the database using the Section ID

// get a JTable Section object
$contentsection = & JTable::getInstance('section');

// load the row with a specific id
$contentsection->load(JRequest::getVar( 'sectionid' ));

// Check for errors and display message to suit
if( !$contentsection->load( JRequest::getVar( 'sectionid' ) ) ) { 
JError::raiseError( 500, $contentsection->getError());
}

//$contentsection now contains all the fields from that row, set variables for the values we want
$contentsectionname = $contentsection->title;

	}



	if (JRequest::getVar( 'catid' )==0) {
		# Do nothing
	$contentcategoryname = JText::_( 'uncategorized' );
	}
	else {


//// Get the content Category Name from the database using the Category ID

// get a JTable Category object
$contentcategory = & JTable::getInstance('category');

// load the row with a specific id
$contentcategory->load(JRequest::getVar( 'catid' ));

// Check for errors and display message to suit
if( !$contentcategory->load( JRequest::getVar( 'catid' ) ) ) { 
JError::raiseError( 500, $contentcategory->getError());
}

//$contentcategory now contains all the fields from that row, set variables for the values we want
$contentcategoryname = $contentcategory->title;

	}




//// Get the Author Name from the database using the User ID

// get a JTable User object
$authordetails = & JTable::getInstance('user');

// load the row with a specific id
$authordetails->load(JRequest::getVar( 'created_by' ));

// Check for errors and display message to suit
if( !$authordetails->load( JRequest::getVar( 'created_by' ) ) ) { 
JError::raiseError( 500, $authordetails->getError());
}

//$authordetails now contains all the fields from that row, set variables for the values we want
$authorname = $authordetails->name;
$authorusername = $authordetails->username;



//// Get the content Access Level Name from the database using the Access Level ID


$query=" SELECT id, name FROM #__groups WHERE id = " . JRequest::getVar( 'access' );
$db->setQuery($query);
$contentaccess=$db->loadObject();
if (!$db->query()) {
    JError::raiseError( 500, $contentaccess->getError());
    return;
}



$contentaccessname = $contentaccess->name;




			If ($ContentisNew && $notifyoncontentpublishercreate) {
// Publisher - Created Article
			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'contentaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'hascreatedarticle' ) . ' "' . JRequest::getVar( 'title' ) . "\"\n";
			$msg .= JText::_( 'contentsectionname' ) . ' ' . $contentsectionname . "\n";
			$msg .= JText::_( 'contentcategoryname' ) . ' ' . $contentcategoryname . "\n";
			$msg .= JText::_( 'contentfrontpage' ) . ' ' . $contentfrontpagetext . "\n";
			$msg .= JText::_( 'contentauthorname' ) . ' ' . $authorname . "\n";
			$msg .= JText::_( 'contentauthorusername' ) . ' ' . $authorusername . "\n";
			$msg .= JText::_( 'contentauthoralias' ) . ' ' . JRequest::getVar( 'created_by_alias' ) . "\n";
			$msg .= JText::_( 'contentstartpublishingdate' ) . ' ' . JRequest::getVar( 'publish_up' ) . "\n";
			$msg .= JText::_( 'contentfinishpublishingdate' ) . ' ' . JRequest::getVar( 'publish_down' ) . "\n";
			$msg .= JText::_( 'contentaccess' ) . ' ' . $contentaccessname . "\n";
			$msg .= JText::_( 'contentmetadescription' ) . ' ' . JRequest::getVar( 'metadesc' ) . "\n";
			$msg .= JText::_( 'contentmetakeywords' ) . ' ' . JRequest::getVar( 'metakey' ) . "\n";
			$msg .= JText::_( 'contentpublishstate' ) . ' ' . $contentpublishedtext . "\n";
			$msg .= JText::_( 'contentlink' ) . ' ' . $contentcreateaddress . "\n";
			$msg .= JText::_( 'contenteditlink' ) . ' ' . $SERVERWITHSUB . "administrator/index.php?option=com_content&sectionid=-1&task=edit&cid[]=" . $ARTICLE_ID . "\n";

			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'publisherarticlecreatesubject') . ' ' . $user->name . ' ' . JText::_( 'hascreatedarticle' ) . ' "' . JRequest::getVar( 'title') . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'publisherarticlecreaterecipient'));
			$mail->Send();
			}
		else if ($notifyoncontentpublisheredit) {
// Publisher - Edited Article
			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'contentaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'haseditedarticle' ) . ' "' . JRequest::getVar( 'title' ) . "\"\n";
			$msg .= JText::_( 'contentsectionname' ) . ' ' . $contentsectionname . "\n";
			$msg .= JText::_( 'contentcategoryname' ) . ' ' . $contentcategoryname . "\n";
			$msg .= JText::_( 'contentfrontpage' ) . ' ' . $contentfrontpagetext . "\n";
			$msg .= JText::_( 'contentauthorname' ) . ' ' . $authorname . "\n";
			$msg .= JText::_( 'contentauthorusername' ) . ' ' . $authorusername . "\n";
			$msg .= JText::_( 'contentauthoralias' ) . ' ' . JRequest::getVar( 'created_by_alias' ) . "\n";
			$msg .= JText::_( 'contentstartpublishingdate' ) . ' ' . JRequest::getVar( 'publish_up' ) . "\n";
			$msg .= JText::_( 'contentfinishpublishingdate' ) . ' ' . JRequest::getVar( 'publish_down' ) . "\n";
			$msg .= JText::_( 'contentaccess' ) . ' ' . $contentaccessname . "\n";
			$msg .= JText::_( 'contentmetadescription' ) . ' ' . JRequest::getVar( 'metadesc' ) . "\n";
			$msg .= JText::_( 'contentmetakeywords' ) . ' ' . JRequest::getVar( 'metakey' ) . "\n";
			$msg .= JText::_( 'contentpublishstate' ) . ' ' . $contentpublishedtext . "\n";
			$msg .= JText::_( 'contentlink' ) . ' ' . $contenteditaddress . "\n";
			$msg .= JText::_( 'contenteditlink' ) . ' ' . $SERVERWITHSUB . "administrator/index.php?option=com_content&sectionid=-1&task=edit&cid[]=" . $contentpostid . "\n";

			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'publisherarticleeditsubject') . ' ' . $user->name . ' ' . JText::_( 'haseditedarticle' ) . ' "' . JRequest::getVar( 'title') . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'publisherarticleeditrecipient'));
			$mail->Send();
			}
			}




///////////////////////// MANAGER //////////////////////////////////////////
		if ($isManager && $isEditingContent) {




	if (JRequest::getVar( 'sectionid' )==0) {
		# Do nothing
	$contentsectionname = JText::_( 'uncategorized' );
	}
	else {

//// Get the content Section Name from the database using the Section ID

// get a JTable Section object
$contentsection = & JTable::getInstance('section');

// load the row with a specific id
$contentsection->load(JRequest::getVar( 'sectionid' ));

// Check for errors and display message to suit
if( !$contentsection->load( JRequest::getVar( 'sectionid' ) ) ) { 
JError::raiseError( 500, $contentsection->getError());
}

//$contentsection now contains all the fields from that row, set variables for the values we want
$contentsectionname = $contentsection->title;

	}



	if (JRequest::getVar( 'catid' )==0) {
		# Do nothing
	$contentcategoryname = JText::_( 'uncategorized' );
	}
	else {


//// Get the content Category Name from the database using the Category ID

// get a JTable Category object
$contentcategory = & JTable::getInstance('category');

// load the row with a specific id
$contentcategory->load(JRequest::getVar( 'catid' ));

// Check for errors and display message to suit
if( !$contentcategory->load( JRequest::getVar( 'catid' ) ) ) { 
JError::raiseError( 500, $contentcategory->getError());
}

//$contentcategory now contains all the fields from that row, set variables for the values we want
$contentcategoryname = $contentcategory->title;

	}







if ($mainframe->isAdmin()) {



	$details	= JRequest::getVar( 'details', array(), 'post', 'array');

	$row = & JTable::getInstance('content');
		if (!$row->bind(JRequest::get('post'))) {
			JError::raiseError( 500, $db->stderr() );
			return false;
		}
		$row->bind($details);

		// sanitise id field
		$row->id = (int) $row->id;



// Get variables required
$authoralias = $row->created_by_alias;
$publishup = $row->publish_up;
$publishdown = $row->publish_down;



		// Get metadata info
		$metadata = JRequest::getVar( 'meta', null, 'post', 'array');

			$txt = array();
			foreach ($metadata as $k => $v) {
				if ($k == 'description') {
					$row->metadesc = $v;
				} elseif ($k == 'keywords') {
					$row->metakey = $v;
				} else {
					$txt[] = "$k=$v";
				}
			}



$metadesc = $row->metadesc;
$metakey = $row->metakey;





//// Get the Author Details from the database using the User ID

// get a JTable User object
$authordetails = & JTable::getInstance('user');

// load the row with a specific id
$authordetails->load($row->created_by);
	
// Check for errors and display message to suit
if( !$authordetails->load($row->created_by) ) { 
JError::raiseError( 500, $authordetails->getError());
}

//$authordetails now contains all the fields from that row, set variables for the values we want
$authorname = $authordetails->name;
$authorusername = $authordetails->username;





//// Get the Access Details from the database using the Access ID


$query=" SELECT id, name FROM #__groups WHERE id = " . $row->access;
$db->setQuery($query);
$contentaccess=$db->loadObject();
if (!$db->query()) {
    JError::raiseError( 500, $contentaccess->getError());
    return;
}

$contentaccessname = $contentaccess->name;



}
else {

// get a JTable User object
$authordetails = & JTable::getInstance('user');

// load the row with a specific id
$authordetails->load(JRequest::getVar( 'created_by' ));
	
// Check for errors and display message to suit
if( !$authordetails->load( JRequest::getVar( 'created_by' ) ) ) { 
JError::raiseError( 500, $authordetails->getError());
}

//$authordetails now contains all the fields from that row, set variables for the values we want
$authorname = $authordetails->name;
$authorusername = $authordetails->username;



$query=" SELECT id, name FROM #__groups WHERE id = " . JRequest::getVar( 'access' );
$db->setQuery($query);
$contentaccess=$db->loadObject();
if (!$db->query()) {
    JError::raiseError( 500, $contentaccess->getError());
    return;
}

$contentaccessname = $contentaccess->name;

$authoralias = JRequest::getVar( 'created_by_alias' );
$publishup = JRequest::getVar( 'publish_up' );
$publishdown = JRequest::getVar( 'publish_down' );
$metadesc = JRequest::getVar( 'metadesc' );
$metakey = JRequest::getVar( 'metakey' );

}




			If ($ContentisNew && $notifyoncontentmanagercreate) {

// Manager - Created Article
		
		

			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'contentaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'hascreatedarticle' ) . ' "' . JRequest::getVar( 'title' ) . "\"\n";
			$msg .= JText::_( 'contentsectionname' ) . ' ' . $contentsectionname . "\n";
			$msg .= JText::_( 'contentcategoryname' ) . ' ' . $contentcategoryname . "\n";
			$msg .= JText::_( 'contentfrontpage' ) . ' ' . $contentfrontpagetext . "\n";
			$msg .= JText::_( 'contentauthorname' ) . ' ' . $authorname . "\n";
			$msg .= JText::_( 'contentauthorusername' ) . ' ' . $authorusername . "\n";
			$msg .= JText::_( 'contentauthoralias' ) . ' ' . $authoralias . "\n";
			$msg .= JText::_( 'contentstartpublishingdate' ) . ' ' . $publishup . "\n";
			$msg .= JText::_( 'contentfinishpublishingdate' ) . ' ' . $publishdown . "\n";
			$msg .= JText::_( 'contentaccess' ) . ' ' . $contentaccessname . "\n";
			$msg .= JText::_( 'contentmetadescription' ) . ' ' . $metadesc . "\n";
			$msg .= JText::_( 'contentmetakeywords' ) . ' ' . $metakey . "\n";
			$msg .= JText::_( 'contentpublishstate' ) . ' ' . $contentpublishedtext . "\n";
			$msg .= JText::_( 'contentlink' ) . ' ' . $contentcreateaddress . "\n";
			$msg .= JText::_( 'contenteditlink' ) . ' ' . $SERVERWITHSUB . "administrator/index.php?option=com_content&sectionid=-1&task=edit&cid[]=" . $ARTICLE_ID . "\n";

			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'managerarticlecreatesubject') . ' ' . $user->name . ' ' . JText::_( 'hascreatedarticle' ) . ' "' . JRequest::getVar( 'title') . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'managerarticlecreaterecipient'));
			$mail->Send();
			}
		else if ($notifyoncontentmanageredit) {

// Manager - Edited Article



			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'contentaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'haseditedarticle' ) . ' "' . JRequest::getVar( 'title' ) . "\"\n";
			$msg .= JText::_( 'contentsectionname' ) . ' ' . $contentsectionname . "\n";
			$msg .= JText::_( 'contentcategoryname' ) . ' ' . $contentcategoryname . "\n";
			$msg .= JText::_( 'contentfrontpage' ) . ' ' . $contentfrontpagetext . "\n";
			$msg .= JText::_( 'contentauthorname' ) . ' ' . $authorname . "\n";
			$msg .= JText::_( 'contentauthorusername' ) . ' ' . $authorusername . "\n";
			$msg .= JText::_( 'contentauthoralias' ) . ' ' . $authoralias . "\n";
			$msg .= JText::_( 'contentstartpublishingdate' ) . ' ' . $publishup . "\n";
			$msg .= JText::_( 'contentfinishpublishingdate' ) . ' ' . $publishdown . "\n";
			$msg .= JText::_( 'contentaccess' ) . ' ' . $contentaccessname . "\n";
			$msg .= JText::_( 'contentmetadescription' ) . ' ' . $metadesc . "\n";
			$msg .= JText::_( 'contentmetakeywords' ) . ' ' . $metakey . "\n";
			$msg .= JText::_( 'contentpublishstate' ) . ' ' . $contentpublishedtext . "\n";
			$msg .= JText::_( 'contentlink' ) . ' ' . $contenteditaddress . "\n";
			$msg .= JText::_( 'contenteditlink' ) . ' ' . $SERVERWITHSUB . "administrator/index.php?option=com_content&sectionid=-1&task=edit&cid[]=" . $contentpostid . "\n";

			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'managerarticleeditsubject') . ' ' . $user->name . ' ' . JText::_( 'haseditedarticle' ) . ' "' . JRequest::getVar( 'title') . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'managerarticleeditrecipient'));
			$mail->Send();
			}
			}


		if ($isManager && $isDeletingContent && $notifyoncontentmanagerdelete) {


if ($mainframe->isAdmin()) {

$cid = JRequest::getVar( 'cid', array(0), 'post', 'array' );
JArrayHelper::toInteger($cid, array(0));

// Get the list of content id numbers to send to trash.
$cids = implode(',', $cid);

//// Get Content info from CIDS

		$query = 	'SELECT a.title AS name, a.sectionid as sectid, a.catid as categoryid, a.created_by as author, a.created_by_alias as authoralias'
		. ' FROM #__content AS a'
		. ' WHERE ( a.id IN ( '.$cids.' ) )'
		. ' ORDER BY a.title'
		;
		$db->setQuery( $query );
		$items = $db->LoadObjectList();
		if (!$db->query()) {
    		JError::raiseError( 500, $items->getError());
    		return;
		}



foreach ($items as $item) {

// Get variables required
$deletedcontenttitle = $item->name;
$authoralias = $item->authoralias;



	if (($item->sectid)==0) {
		# Do nothing
	$contentsectionname = JText::_( 'uncategorized' );
	}
	else {

//// Get the content Section Name from the database using the Section ID

// get a JTable Section object
$contentsection = & JTable::getInstance('section');

// load the row with a specific id
$contentsection->load($item->sectid);

// Check for errors and display message to suit
if( !$contentsection->load($item->sectid) ) { 
JError::raiseError( 500, $contentsection->getError());
}

//$contentsection now contains all the fields from that row, set variables for the values we want
$contentsectionname = $contentsection->title;

	}


	if (($item->categoryid)==0) {
		# Do nothing
	$contentcategoryname = JText::_( 'uncategorized' );
	}
	else {


//// Get the content Category Name from the database using the Category ID

// get a JTable Category object
$contentcategory = & JTable::getInstance('category');

// load the row with a specific id
$contentcategory->load($item->categoryid);

// Check for errors and display message to suit
if( !$contentcategory->load($item->categoryid) ) { 
JError::raiseError( 500, $contentcategory->getError());
}

//$contentcategory now contains all the fields from that row, set variables for the values we want
$contentcategoryname = $contentcategory->title;

	}





//// Get the Author Name from the database using the User ID

// get a JTable User object
$authordetails = & JTable::getInstance('user');

// load the row with a specific id
$authordetails->load($item->author);
	
// Check for errors and display message to suit
if( !$authordetails->load($item->author) ) { 
JError::raiseError( 500, $authordetails->getError());
}

//$authordetails now contains all the fields from that row, set variables for the values we want
$authorname = $authordetails->name;
$authorusername = $authordetails->username;




// Manager - Deleted Article

			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'contentaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'hasdeletedarticle' ) . ' "' . $deletedcontenttitle . "\"\n";
			$msg .= JText::_( 'contentsectionname' ) . ' ' . $contentsectionname . "\n";
			$msg .= JText::_( 'contentcategoryname' ) . ' ' . $contentcategoryname . "\n";
			$msg .= JText::_( 'contentauthorname' ) . ' ' . $authorname . "\n";
			$msg .= JText::_( 'contentauthorusername' ) . ' ' . $authorusername . "\n";
			$msg .= JText::_( 'contentauthoralias' ) . ' ' . $authoralias . "\n";




			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'managerarticledeletesubject') . ' ' . $user->name . ' ' . JText::_( 'hasdeletedarticle' ) . ' "' . $deletedcontenttitle . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'managerarticledeleterecipient'));
			$mail->Send();	

}
		}
}



///////////////////////// ADMINISTRATOR /////////////////////////////////////////////
		if ($isAdministrator && $isEditingContent) {


	if (JRequest::getVar( 'sectionid' )==0) {
		# Do nothing
	$contentsectionname = JText::_( 'uncategorized' );
	}
	else {

//// Get the content Section Name from the database using the Section ID

// get a JTable Section object
$contentsection = & JTable::getInstance('section');

// load the row with a specific id
$contentsection->load(JRequest::getVar( 'sectionid' ));

// Check for errors and display message to suit
if( !$contentsection->load( JRequest::getVar( 'sectionid' ) ) ) { 
JError::raiseError( 500, $contentsection->getError());
}

//$contentsection now contains all the fields from that row, set variables for the values we want
$contentsectionname = $contentsection->title;

	}



	if (JRequest::getVar( 'catid' )==0) {
		# Do nothing
	$contentcategoryname = JText::_( 'uncategorized' );
	}
	else {


//// Get the content Category Name from the database using the Category ID

// get a JTable Category object
$contentcategory = & JTable::getInstance('category');

// load the row with a specific id
$contentcategory->load(JRequest::getVar( 'catid' ));

// Check for errors and display message to suit
if( !$contentcategory->load( JRequest::getVar( 'catid' ) ) ) { 
JError::raiseError( 500, $contentcategory->getError());
}

//$contentcategory now contains all the fields from that row, set variables for the values we want
$contentcategoryname = $contentcategory->title;

	}







if ($mainframe->isAdmin()) {



	$details	= JRequest::getVar( 'details', array(), 'post', 'array');

	$row = & JTable::getInstance('content');
		if (!$row->bind(JRequest::get('post'))) {
			JError::raiseError( 500, $db->stderr() );
			return false;
		}
		$row->bind($details);

		// sanitise id field
		$row->id = (int) $row->id;



// Get variables required
$authoralias = $row->created_by_alias;
$publishup = $row->publish_up;
$publishdown = $row->publish_down;



		// Get metadata info
		$metadata = JRequest::getVar( 'meta', null, 'post', 'array');

			$txt = array();
			foreach ($metadata as $k => $v) {
				if ($k == 'description') {
					$row->metadesc = $v;
				} elseif ($k == 'keywords') {
					$row->metakey = $v;
				} else {
					$txt[] = "$k=$v";
				}
			}



$metadesc = $row->metadesc;
$metakey = $row->metakey;





//// Get the Author Details from the database using the User ID

// get a JTable User object
$authordetails = & JTable::getInstance('user');

// load the row with a specific id
$authordetails->load($row->created_by);
	
// Check for errors and display message to suit
if( !$authordetails->load($row->created_by) ) { 
JError::raiseError( 500, $authordetails->getError());
}

//$authordetails now contains all the fields from that row, set variables for the values we want
$authorname = $authordetails->name;
$authorusername = $authordetails->username;





//// Get the Access Details from the database using the Access ID


$query=" SELECT id, name FROM #__groups WHERE id = " . $row->access;
$db->setQuery($query);
$contentaccess=$db->loadObject();
if (!$db->query()) {
    JError::raiseError( 500, $contentaccess->getError());
    return;
}

$contentaccessname = $contentaccess->name;



}
else {

// get a JTable User object
$authordetails = & JTable::getInstance('user');

// load the row with a specific id
$authordetails->load(JRequest::getVar( 'created_by' ));
	
// Check for errors and display message to suit
if( !$authordetails->load( JRequest::getVar( 'created_by' ) ) ) { 
JError::raiseError( 500, $authordetails->getError());
}

//$authordetails now contains all the fields from that row, set variables for the values we want
$authorname = $authordetails->name;
$authorusername = $authordetails->username;



$query=" SELECT id, name FROM #__groups WHERE id = " . JRequest::getVar( 'access' );
$db->setQuery($query);
$contentaccess=$db->loadObject();
if (!$db->query()) {
    JError::raiseError( 500, $contentaccess->getError());
    return;
}

$contentaccessname = $contentaccess->name;

$authoralias = JRequest::getVar( 'created_by_alias' );
$publishup = JRequest::getVar( 'publish_up' );
$publishdown = JRequest::getVar( 'publish_down' );
$metadesc = JRequest::getVar( 'metadesc' );
$metakey = JRequest::getVar( 'metakey' );

}


			If ($ContentisNew && $notifyoncontentadministratorcreate) {
// Administrator - Created Article
			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'contentaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'hascreatedarticle' ) . ' "' . JRequest::getVar( 'title' ) . "\"\n";
			$msg .= JText::_( 'contentsectionname' ) . ' ' . $contentsectionname . "\n";
			$msg .= JText::_( 'contentcategoryname' ) . ' ' . $contentcategoryname . "\n";
			$msg .= JText::_( 'contentfrontpage' ) . ' ' . $contentfrontpagetext . "\n";
			$msg .= JText::_( 'contentauthorname' ) . ' ' . $authorname . "\n";
			$msg .= JText::_( 'contentauthorusername' ) . ' ' . $authorusername . "\n";
			$msg .= JText::_( 'contentauthoralias' ) . ' ' . $authoralias . "\n";
			$msg .= JText::_( 'contentstartpublishingdate' ) . ' ' . $publishup . "\n";
			$msg .= JText::_( 'contentfinishpublishingdate' ) . ' ' . $publishdown . "\n";
			$msg .= JText::_( 'contentaccess' ) . ' ' . $contentaccessname . "\n";
			$msg .= JText::_( 'contentmetadescription' ) . ' ' . $metadesc . "\n";
			$msg .= JText::_( 'contentmetakeywords' ) . ' ' . $metakey . "\n";
			$msg .= JText::_( 'contentpublishstate' ) . ' ' . $contentpublishedtext . "\n";
			$msg .= JText::_( 'contentlink' ) . ' ' . $contentcreateaddress . "\n";
			$msg .= JText::_( 'contenteditlink' ) . ' ' . $SERVERWITHSUB . "administrator/index.php?option=com_content&sectionid=-1&task=edit&cid[]=" . $ARTICLE_ID . "\n";

			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'administratorarticlecreatesubject') . ' ' . $user->name . ' ' . JText::_( 'hascreatedarticle' ) . ' "' . JRequest::getVar( 'title') . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'administratorarticlecreaterecipient'));
			$mail->Send();
			}
		else if ($notifyoncontentadministratoredit) {
// Administrator - Edited Article



if ($mainframe->isAdmin()) {

	$details	= JRequest::getVar( 'details', array(), 'post', 'array');

	$row = & JTable::getInstance('content');
		if (!$row->bind(JRequest::get('post'))) {
			JError::raiseError( 500, $db->stderr() );
			return false;
		}
		$row->bind($details);

		// sanitise id field
		$row->id = (int) $row->id;



// Get variables required
$authoralias = $row->created_by_alias;
$publishup = $row->publish_up;
$publishdown = $row->publish_down;





//// Get the Meta Details from the database using the post ID

// get a JTable User object
$metadetails = & JTable::getInstance('content');

// load the row with a specific id
$metadetails->load($row->id);
	
// Check for errors and display message to suit
if( !$metadetails->load($row->id) ) { 
JError::raiseError( 500, $metadetails->getError());
}

//$metadetails now contains all the fields from that row, set variables for the values we want
$metadesc = $metadetails->metadesc;
$metakey = $metadetails->metakey;
		






//// Get the Author Details from the database using the User ID

// get a JTable User object
$authordetails = & JTable::getInstance('user');

// load the row with a specific id
$authordetails->load($row->created_by);
	
// Check for errors and display message to suit
if( !$authordetails->load($row->created_by) ) { 
JError::raiseError( 500, $authordetails->getError());
}

//$authordetails now contains all the fields from that row, set variables for the values we want
$authorname = $authordetails->name;
$authorusername = $authordetails->username;





//// Get the Access Details from the database using the Access ID


$query=" SELECT id, name FROM #__groups WHERE id = " . $row->access;
$db->setQuery($query);
$contentaccess=$db->loadObject();
if (!$db->query()) {
    JError::raiseError( 500, $contentaccess->getError());
    return;
}

$contentaccessname = $contentaccess->name;


}



			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'contentaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'haseditedarticle' ) . ' "' . JRequest::getVar( 'title' ) . "\"\n";
			$msg .= JText::_( 'contentsectionname' ) . ' ' . $contentsectionname . "\n";
			$msg .= JText::_( 'contentcategoryname' ) . ' ' . $contentcategoryname . "\n";
			$msg .= JText::_( 'contentfrontpage' ) . ' ' . $contentfrontpagetext . "\n";
			$msg .= JText::_( 'contentauthorname' ) . ' ' . $authorname . "\n";
			$msg .= JText::_( 'contentauthorusername' ) . ' ' . $authorusername . "\n";
			$msg .= JText::_( 'contentauthoralias' ) . ' ' . $authoralias . "\n";
			$msg .= JText::_( 'contentstartpublishingdate' ) . ' ' . $publishup . "\n";
			$msg .= JText::_( 'contentfinishpublishingdate' ) . ' ' . $publishdown . "\n";
			$msg .= JText::_( 'contentaccess' ) . ' ' . $contentaccessname . "\n";
			$msg .= JText::_( 'contentmetadescription' ) . ' ' . $metadesc . "\n";
			$msg .= JText::_( 'contentmetakeywords' ) . ' ' . $metakey . "\n";
			$msg .= JText::_( 'contentpublishstate' ) . ' ' . $contentpublishedtext . "\n";
			$msg .= JText::_( 'contentlink' ) . ' ' . $contenteditaddress . "\n";
			$msg .= JText::_( 'contenteditlink' ) . ' ' . $SERVERWITHSUB . "administrator/index.php?option=com_content&sectionid=-1&task=edit&cid[]=" . $contentpostid . "\n";

			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'administratorarticleeditsubject') . ' ' . $user->name . ' ' . JText::_( 'haseditedarticle' ) . ' "' . JRequest::getVar( 'title') . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'administratorarticleeditrecipient'));
			$mail->Send();
			}
			}


		if ($isAdministrator && $isDeletingContent && $notifyoncontentadministratordelete) {


if ($mainframe->isAdmin()) {

$cid = JRequest::getVar( 'cid', array(0), 'post', 'array' );
JArrayHelper::toInteger($cid, array(0));

// Get the list of content id numbers to send to trash.
$cids = implode(',', $cid);

//// Get Content info from CIDS

		$query = 	'SELECT a.title AS name, a.sectionid as sectid, a.catid as categoryid, a.created_by as author, a.created_by_alias as authoralias'
		. ' FROM #__content AS a'
		. ' WHERE ( a.id IN ( '.$cids.' ) )'
		. ' ORDER BY a.title'
		;
		$db->setQuery( $query );
		$items = $db->LoadObjectList();
		if (!$db->query()) {
   		JError::raiseError( 500, $items->getError());
    		return;
		}



foreach ($items as $item) {

// Get variables required
$deletedcontenttitle = $item->name;
$authoralias = $item->authoralias;




	if (($item->sectid)==0) {
		# Do nothing
	$contentsectionname = JText::_( 'uncategorized' );
	}
	else {

//// Get the content Section Name from the database using the Section ID

// get a JTable Section object
$contentsection = & JTable::getInstance('section');

// load the row with a specific id
$contentsection->load($item->sectid);

// Check for errors and display message to suit
if( !$contentsection->load($item->sectid) ) { 
JError::raiseError( 500, $contentsection->getError());
}

//$contentsection now contains all the fields from that row, set variables for the values we want
$contentsectionname = $contentsection->title;

	}


	if (($item->categoryid)==0) {
		# Do nothing
	$contentcategoryname = JText::_( 'uncategorized' );
	}
	else {


//// Get the content Category Name from the database using the Category ID

// get a JTable Category object
$contentcategory = & JTable::getInstance('category');

// load the row with a specific id
$contentcategory->load($item->categoryid);

// Check for errors and display message to suit
if( !$contentcategory->load($item->categoryid) ) { 
JError::raiseError( 500, $contentcategory->getError());
}

//$contentcategory now contains all the fields from that row, set variables for the values we want
$contentcategoryname = $contentcategory->title;

	}





//// Get the Author Name from the database using the User ID

// get a JTable User object
$authordetails = & JTable::getInstance('user');

// load the row with a specific id
$authordetails->load($item->author);
	
// Check for errors and display message to suit
if( !$authordetails->load($item->author) ) { 
JError::raiseError( 500, $authordetails->getError());
}

//$authordetails now contains all the fields from that row, set variables for the values we want
$authorname = $authordetails->name;
$authorusername = $authordetails->username;




// Administrator - Deleted Article

			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'contentaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'hasdeletedarticle' ) . ' "' . $deletedcontenttitle . "\"\n";
			$msg .= JText::_( 'contentsectionname' ) . ' ' . $contentsectionname . "\n";
			$msg .= JText::_( 'contentcategoryname' ) . ' ' . $contentcategoryname . "\n";
			$msg .= JText::_( 'contentauthorname' ) . ' ' . $authorname . "\n";
			$msg .= JText::_( 'contentauthorusername' ) . ' ' . $authorusername . "\n";
			$msg .= JText::_( 'contentauthoralias' ) . ' ' . $authoralias . "\n";




			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'administratorarticledeletesubject') . ' ' . $user->name . ' ' . JText::_( 'hasdeletedarticle' ) . ' "' . $deletedcontenttitle . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'administratorarticledeleterecipient'));
			$mail->Send();	

		}
}
	}


////////////////////// SUPER ADMINISTRATOR /////////////////////////////////////////
		if ($isSuperAdministrator && $isEditingContent) {



	if (JRequest::getVar( 'sectionid' )==0) {
		# Do nothing
	$contentsectionname = JText::_( 'uncategorized' );
	}
	else {

//// Get the content Section Name from the database using the Section ID

// get a JTable Section object
$contentsection = & JTable::getInstance('section');

// load the row with a specific id
$contentsection->load(JRequest::getVar( 'sectionid' ));

// Check for errors and display message to suit
if( !$contentsection->load( JRequest::getVar( 'sectionid' ) ) ) { 
JError::raiseError( 500, $contentsection->getError());
}

//$contentsection now contains all the fields from that row, set variables for the values we want
$contentsectionname = $contentsection->title;

	}



	if (JRequest::getVar( 'catid' )==0) {
		# Do nothing
	$contentcategoryname = JText::_( 'uncategorized' );
	}
	else {


//// Get the content Category Name from the database using the Category ID

// get a JTable Category object
$contentcategory = & JTable::getInstance('category');

// load the row with a specific id
$contentcategory->load(JRequest::getVar( 'catid' ));

// Check for errors and display message to suit
if( !$contentcategory->load( JRequest::getVar( 'catid' ) ) ) { 
JError::raiseError( 500, $contentcategory->getError());
}

//$contentcategory now contains all the fields from that row, set variables for the values we want
$contentcategoryname = $contentcategory->title;

	}







if ($mainframe->isAdmin()) {



	$details	= JRequest::getVar( 'details', array(), 'post', 'array');

	$row = & JTable::getInstance('content');
		if (!$row->bind(JRequest::get('post'))) {
			JError::raiseError( 500, $db->stderr() );
			return false;
		}
		$row->bind($details);

		// sanitise id field
		$row->id = (int) $row->id;



// Get variables required
$authoralias = $row->created_by_alias;
$publishup = $row->publish_up;
$publishdown = $row->publish_down;



		// Get metadata info
		$metadata = JRequest::getVar( 'meta', null, 'post', 'array');

			$txt = array();
			foreach ($metadata as $k => $v) {
				if ($k == 'description') {
					$row->metadesc = $v;
				} elseif ($k == 'keywords') {
					$row->metakey = $v;
				} else {
					$txt[] = "$k=$v";
				}
			}



$metadesc = $row->metadesc;
$metakey = $row->metakey;





//// Get the Author Details from the database using the User ID

// get a JTable User object
$authordetails = & JTable::getInstance('user');

// load the row with a specific id
$authordetails->load($row->created_by);
	
// Check for errors and display message to suit
if( !$authordetails->load($row->created_by) ) { 
JError::raiseError( 500, $authordetails->getError());
}

//$authordetails now contains all the fields from that row, set variables for the values we want
$authorname = $authordetails->name;
$authorusername = $authordetails->username;





//// Get the Access Details from the database using the Access ID


$query=" SELECT id, name FROM #__groups WHERE id = " . $row->access;
$db->setQuery($query);
$contentaccess=$db->loadObject();
if (!$db->query()) {
    JError::raiseError( 500, $contentaccess->getError());
    return;
}

$contentaccessname = $contentaccess->name;



}
else {

// get a JTable User object
$authordetails = & JTable::getInstance('user');

// load the row with a specific id
$authordetails->load(JRequest::getVar( 'created_by' ));
	
// Check for errors and display message to suit
if( !$authordetails->load( JRequest::getVar( 'created_by' ) ) ) { 
JError::raiseError( 500, $authordetails->getError());
}

//$authordetails now contains all the fields from that row, set variables for the values we want
$authorname = $authordetails->name;
$authorusername = $authordetails->username;



$query=" SELECT id, name FROM #__groups WHERE id = " . JRequest::getVar( 'access' );
$db->setQuery($query);
$contentaccess=$db->loadObject();
if (!$db->query()) {
    JError::raiseError( 500, $contentaccess->getError());
    return;
}

$contentaccessname = $contentaccess->name;

$authoralias = JRequest::getVar( 'created_by_alias' );
$publishup = JRequest::getVar( 'publish_up' );
$publishdown = JRequest::getVar( 'publish_down' );
$metadesc = JRequest::getVar( 'metadesc' );
$metakey = JRequest::getVar( 'metakey' );

}



			If ($ContentisNew && $notifyoncontentsuperadministratorcreate) {
// Super Administrator - Created Article
			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'contentaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'hascreatedarticle' ) . ' "' . JRequest::getVar( 'title' ) . "\"\n";
			$msg .= JText::_( 'contentsectionname' ) . ' ' . $contentsectionname . "\n";
			$msg .= JText::_( 'contentcategoryname' ) . ' ' . $contentcategoryname . "\n";
			$msg .= JText::_( 'contentfrontpage' ) . ' ' . $contentfrontpagetext . "\n";
			$msg .= JText::_( 'contentauthorname' ) . ' ' . $authorname . "\n";
			$msg .= JText::_( 'contentauthorusername' ) . ' ' . $authorusername . "\n";
			$msg .= JText::_( 'contentauthoralias' ) . ' ' . $authoralias . "\n";
			$msg .= JText::_( 'contentstartpublishingdate' ) . ' ' . $publishup . "\n";
			$msg .= JText::_( 'contentfinishpublishingdate' ) . ' ' . $publishdown . "\n";
			$msg .= JText::_( 'contentaccess' ) . ' ' . $contentaccessname . "\n";
			$msg .= JText::_( 'contentmetadescription' ) . ' ' . $metadesc . "\n";
			$msg .= JText::_( 'contentmetakeywords' ) . ' ' . $metakey . "\n";
			$msg .= JText::_( 'contentpublishstate' ) . ' ' . $contentpublishedtext . "\n";
			$msg .= JText::_( 'contentlink' ) . ' ' . $contentcreateaddress . "\n";
			$msg .= JText::_( 'contenteditlink' ) . ' ' . $SERVERWITHSUB . "administrator/index.php?option=com_content&sectionid=-1&task=edit&cid[]=" . $ARTICLE_ID . "\n";

			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'superadministratorarticlecreatesubject') . ' ' . $user->name . ' ' . JText::_( 'hascreatedarticle' ) . ' "' . JRequest::getVar( 'title') . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'superadministratorarticlecreaterecipient'));
			$mail->Send();
			}
		else if ($notifyoncontentsuperadministratorcreate) {
// Super Administrator - Edited Article
			
			
			
if ($mainframe->isAdmin()) {

	$details	= JRequest::getVar( 'details', array(), 'post', 'array');

	$row = & JTable::getInstance('content');
		if (!$row->bind(JRequest::get('post'))) {
			JError::raiseError( 500, $db->stderr() );
			return false;
		}
		$row->bind($details);

		// sanitise id field
		$row->id = (int) $row->id;



// Get variables required
$authoralias = $row->created_by_alias;
$publishup = $row->publish_up;
$publishdown = $row->publish_down;





//// Get the Meta Details from the database using the post ID

// get a JTable User object
$metadetails = & JTable::getInstance('content');

// load the row with a specific id
$metadetails->load($row->id);
	
// Check for errors and display message to suit
if( !$metadetails->load($row->id) ) { 
JError::raiseError( 500, $metadetails->getError());
}

//$metadetails now contains all the fields from that row, set variables for the values we want
$metadesc = $metadetails->metadesc;
$metakey = $metadetails->metakey;
		






//// Get the Author Details from the database using the User ID

// get a JTable User object
$authordetails = & JTable::getInstance('user');

// load the row with a specific id
$authordetails->load($row->created_by);
	
// Check for errors and display message to suit
if( !$authordetails->load($row->created_by) ) { 
JError::raiseError( 500, $authordetails->getError());
}

//$authordetails now contains all the fields from that row, set variables for the values we want
$authorname = $authordetails->name;
$authorusername = $authordetails->username;





//// Get the Access Details from the database using the Access ID


$query=" SELECT id, name FROM #__groups WHERE id = " . $row->access;
$db->setQuery($query);
$contentaccess=$db->loadObject();
if (!$db->query()) {
    JError::raiseError( 500, $contentaccess->getError());
    return;
}

$contentaccessname = $contentaccess->name;


}			
			
			
			
			
			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'contentaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'haseditedarticle' ) . ' "' . JRequest::getVar( 'title' ) . "\"\n";
			$msg .= JText::_( 'contentsectionname' ) . ' ' . $contentsectionname . "\n";
			$msg .= JText::_( 'contentcategoryname' ) . ' ' . $contentcategoryname . "\n";
			$msg .= JText::_( 'contentfrontpage' ) . ' ' . $contentfrontpagetext . "\n";
			$msg .= JText::_( 'contentauthorname' ) . ' ' . $authorname . "\n";
			$msg .= JText::_( 'contentauthorusername' ) . ' ' . $authorusername . "\n";
			$msg .= JText::_( 'contentauthoralias' ) . ' ' . $authoralias . "\n";
			$msg .= JText::_( 'contentstartpublishingdate' ) . ' ' . $publishup . "\n";
			$msg .= JText::_( 'contentfinishpublishingdate' ) . ' ' . $publishdown . "\n";
			$msg .= JText::_( 'contentaccess' ) . ' ' . $contentaccessname . "\n";
			$msg .= JText::_( 'contentmetadescription' ) . ' ' . $metadesc . "\n";
			$msg .= JText::_( 'contentmetakeywords' ) . ' ' . $metakey . "\n";
			$msg .= JText::_( 'contentpublishstate' ) . ' ' . $contentpublishedtext . "\n";
			$msg .= JText::_( 'contentlink' ) . ' ' . $contenteditaddress . "\n";
			$msg .= JText::_( 'contenteditlink' ) . ' ' . $SERVERWITHSUB . "administrator/index.php?option=com_content&sectionid=-1&task=edit&cid[]=" . $contentpostid . "\n";

			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'superadministratorarticleeditsubject') . ' ' . $user->name . ' ' . JText::_( 'haseditedarticle' ) . ' "' . JRequest::getVar( 'title') . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'superadministratorarticleeditrecipient'));
			$mail->Send();
			}
			}


	

		if ($isSuperAdministrator && $isDeletingContent && $notifyoncontentsuperadministratorcreate) {

if ($mainframe->isAdmin()) {

$cid = JRequest::getVar( 'cid', array(0), 'post', 'array' );
JArrayHelper::toInteger($cid, array(0));

// Get the list of content id numbers to send to trash.
$cids = implode(',', $cid);

//// Get Content info from CIDS

		$query = 	'SELECT a.title AS name, a.sectionid as sectid, a.catid as categoryid, a.created_by as author, a.created_by_alias as authoralias'
		. ' FROM #__content AS a'
		. ' WHERE ( a.id IN ( '.$cids.' ) )'
		. ' ORDER BY a.title'
		;
		$db->setQuery( $query );
		$items = $db->LoadObjectList();
		if (!$db->query()) {
   		JError::raiseError( 500, $items->getError());
    		return;
		}



foreach ($items as $item) {

// Get variables required
$deletedcontenttitle = $item->name;
$authoralias = $item->authoralias;




	if (($item->sectid)==0) {
		# Do nothing
	$contentsectionname = JText::_( 'uncategorized' );
	}
	else {

//// Get the content Section Name from the database using the Section ID

// get a JTable Section object
$contentsection = & JTable::getInstance('section');

// load the row with a specific id
$contentsection->load($item->sectid);

// Check for errors and display message to suit
if( !$contentsection->load($item->sectid) ) { 
JError::raiseError( 500, $contentsection->getError());
}

//$contentsection now contains all the fields from that row, set variables for the values we want
$contentsectionname = $contentsection->title;

	}


	if (($item->categoryid)==0) {
		# Do nothing
	$contentcategoryname = JText::_( 'uncategorized' );
	}
	else {


//// Get the content Category Name from the database using the Category ID

// get a JTable Category object
$contentcategory = & JTable::getInstance('category');

// load the row with a specific id
$contentcategory->load($item->categoryid);

// Check for errors and display message to suit
if( !$contentcategory->load($item->categoryid) ) { 
JError::raiseError( 500, $contentcategory->getError());
}

//$contentcategory now contains all the fields from that row, set variables for the values we want
$contentcategoryname = $contentcategory->title;

	}





//// Get the Author Name from the database using the User ID

// get a JTable User object
$authordetails = & JTable::getInstance('user');

// load the row with a specific id
$authordetails->load($item->author);
	
// Check for errors and display message to suit
if( !$authordetails->load($item->author) ) { 
JError::raiseError( 500, $authordetails->getError());
}

//$authordetails now contains all the fields from that row, set variables for the values we want
$authorname = $authordetails->name;
$authorusername = $authordetails->username;



// Super Administrator - Deleted Article

			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'contentaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'hasdeletedarticle' ) . ' "' . $deletedcontenttitle . "\"\n";
			$msg .= JText::_( 'contentsectionname' ) . ' ' . $contentsectionname . "\n";
			$msg .= JText::_( 'contentcategoryname' ) . ' ' . $contentcategoryname . "\n";
			$msg .= JText::_( 'contentauthorname' ) . ' ' . $authorname . "\n";
			$msg .= JText::_( 'contentauthorusername' ) . ' ' . $authorusername . "\n";
			$msg .= JText::_( 'contentauthoralias' ) . ' ' . $authoralias . "\n";




			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'superadministratorarticledeletesubject') . ' ' . $user->name . ' ' . JText::_( 'hasdeletedarticle' ) . ' "' . $deletedcontenttitle . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'superadministratorarticledeleterecipient'));
			$mail->Send();	
}

		}

}

}

/////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////// OPTION IS WEBLINKS //////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////

if ($isWeblinksOption) {

	if ($mainframe->isAdmin()) {

		$weblinkspost	= JRequest::get('post');
		$cid	= JRequest::getVar( 'cid', array(0), 'post', 'array' );
		$weblinkspostid = (int) $cid[0];
		
		$weblinksposttitle = ($weblinkspost['title']);
		$weblinkspostcatid = ($weblinkspost['catid']);


		if ($weblinkspost['published']==0){
			$weblinkspublishedtext = JText::_( 'unpublished' );}
		else {
			$weblinkspublishedtext = JText::_( 'published' );}


			$weblinksposturl = ($weblinkspost['url']);
			$weblinkspostdescription = ($weblinkspost['description']);

		}
		else {
			

		$weblinkspost = JRequest::getVar('jform', array(), 'post', 'array');

		$weblinksposttitle = $weblinkspost['title'];

		if ($weblinkspost['published']==0){
			$weblinkspublishedtext = JText::_( 'unpublished' );}
		else{
			$weblinkspublishedtext = JText::_( 'published' );}


			$weblinksposturl = ($weblinkspost['url']);
			$weblinkspostdescription = ($weblinkspost['description']);

		}

$WeblinkisNew = ((int) $weblinkspostid < 1);

//// Create the weblinks path

	if ($mainframe->isAdmin()) {

		$WEBLINKS_LAST_ID=$weblinksrowid;
		$WEBLINKS_ID=$WEBLINKS_LAST_ID+1;
		$WEBCAT_ID = $weblinkspost['catid'];
		require_once (JPATH_SITE.DS.'plugins'.DS.'system'.DS.'dynotificationmanagerweblinksroute.php');
		$weblinkspath=JRoute::_( WeblinksHelperRoute::getWeblinkRoute($WEBCAT_ID));
		$weblinksaddress=$SERVERWITHSUB.$weblinkspath;


		}
	else {

		$WEBLINKS_LAST_ID=$weblinksrowid;
		$WEBLINKS_ID=$WEBLINKS_LAST_ID+1;
		$WEBCAT_ID = $weblinkspost['catid'];
		require_once (JPATH_SITE.DS.'plugins'.DS.'system'.DS.'dynotificationmanagerweblinksroute.php');
		$weblinkspath=JRoute::_( WeblinksHelperRoute::getWeblinkRoute($WEBCAT_ID));
		$weblinksaddress="http://".$SERVER2.$weblinkspath;


	}




//// Do amp exchange to tidy the address to the weblinks
		$weblinksaddress = str_replace("&amp;", "&", $weblinksaddress);




if ($isAuthor && $isEditingWeblink) {		


//// Get the weblinks Category Name from the database using the Category ID

// get a JTable Category object
$weblinkscategory = & JTable::getInstance('category');

// load the row with a specific catid
$weblinkscategory->load($weblinkspost['catid']);

// Check for errors and display message to suit
if( !$weblinkscategory->load( $weblinkspost['catid'] ) ) { 
JError::raiseError( 500, $weblinkscategory->getError());
}

//$weblinkscategory now contains all the fields from that row, set variables for the values we want
$weblinkscategoryname = $weblinkscategory->title;





//////////////////////////// AUTHOR ///////////////////////////////

		If ($WeblinkisNew) {
			
// Author - Created Weblink

			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'weblinksaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'hascreatedweblink' ) . ' "' . $weblinksposttitle . "\"\n";
			$msg .= JText::_( 'weblinkscategoryname' ) . ' ' . $weblinkscategoryname . "\n";
			$msg .= JText::_( 'weblinksurl' ) . ' ' . $weblinksposturl . "\n";
			$msg .= JText::_( 'weblinkspublishstate' ) . ' ' . $weblinkspublishedtext . "\n";
			$msg .= JText::_( 'weblinksdescription' ) . ' ' . $weblinkspostdescription . "\n";
			$msg .= JText::_( 'weblinkslink' ) . ' ' . $weblinksaddress . "\n";
			$msg .= JText::_( 'weblinkseditlink' ) . ' ' . $SERVERWITHSUB . "administrator/index.php?option=com_weblinks&view=weblink&task=edit&cid[]=" . $WEBLINKS_ID . "\n";


			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'authorweblinkcreatesubject') . ' ' . $user->name . ' ' . JText::_( 'hascreatedweblink' ) . ' "' . $weblinksposttitle . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'authorweblinkcreaterecipient'));
			$mail->Send();
			}
	
			}




if ($isEditor && $isEditingWeblink) {		


//// Get the weblinks Category Name from the database using the Category ID

// get a JTable Category object
$weblinkscategory = & JTable::getInstance('category');

// load the row with a specific catid
$weblinkscategory->load($weblinkspost['catid']);

// Check for errors and display message to suit
if( !$weblinkscategory->load( $weblinkspost['catid'] ) ) { 
JError::raiseError( 500, $weblinkscategory->getError());
}

//$weblinkscategory now contains all the fields from that row, set variables for the values we want
$weblinkscategoryname = $weblinkscategory->title;





//////////////////////////// EDITOR ///////////////////////////////

		If ($WeblinkisNew) {
			
// Editor - Created Weblink

			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'weblinksaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'hascreatedweblink' ) . ' "' . $weblinksposttitle . "\"\n";
			$msg .= JText::_( 'weblinkscategoryname' ) . ' ' . $weblinkscategoryname . "\n";
			$msg .= JText::_( 'weblinksurl' ) . ' ' . $weblinksposturl . "\n";
			$msg .= JText::_( 'weblinkspublishstate' ) . ' ' . $weblinkspublishedtext . "\n";
			$msg .= JText::_( 'weblinksdescription' ) . ' ' . $weblinkspostdescription . "\n";
			$msg .= JText::_( 'weblinkslink' ) . ' ' . $weblinksaddress . "\n";
			$msg .= JText::_( 'weblinkseditlink' ) . ' ' . $SERVERWITHSUB . "administrator/index.php?option=com_weblinks&view=weblink&task=edit&cid[]=" . $WEBLINKS_ID . "\n";


			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'editorweblinkcreatesubject') . ' ' . $user->name . ' ' . JText::_( 'hascreatedweblink' ) . ' "' . $weblinksposttitle . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'editorweblinkcreaterecipient'));
			$mail->Send();
			}
	
			}




if ($isPublisher && $isEditingWeblink) {		


//// Get the weblinks Category Name from the database using the Category ID

// get a JTable Category object
$weblinkscategory = & JTable::getInstance('category');

// load the row with a specific catid
$weblinkscategory->load($weblinkspost['catid']);

// Check for errors and display message to suit
if( !$weblinkscategory->load( $weblinkspost['catid'] ) ) { 
JError::raiseError( 500, $weblinkscategory->getError());
}

//$weblinkscategory now contains all the fields from that row, set variables for the values we want
$weblinkscategoryname = $weblinkscategory->title;





//////////////////////////// PUBLISHERR ///////////////////////////////

		If ($WeblinkisNew) {
			
// Publisher - Created Weblink

			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'weblinksaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'hascreatedweblink' ) . ' "' . $weblinksposttitle . "\"\n";
			$msg .= JText::_( 'weblinkscategoryname' ) . ' ' . $weblinkscategoryname . "\n";
			$msg .= JText::_( 'weblinksurl' ) . ' ' . $weblinksposturl . "\n";
			$msg .= JText::_( 'weblinkspublishstate' ) . ' ' . $weblinkspublishedtext . "\n";
			$msg .= JText::_( 'weblinksdescription' ) . ' ' . $weblinkspostdescription . "\n";
			$msg .= JText::_( 'weblinkslink' ) . ' ' . $weblinksaddress . "\n";
			$msg .= JText::_( 'weblinkseditlink' ) . ' ' . $SERVERWITHSUB . "administrator/index.php?option=com_weblinks&view=weblink&task=edit&cid[]=" . $WEBLINKS_ID . "\n";


			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'publisherweblinkcreatesubject') . ' ' . $user->name . ' ' . JText::_( 'hascreatedweblink' ) . ' "' . $weblinksposttitle . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'publisherweblinkcreaterecipient'));
			$mail->Send();
			}
	
			}





if ($isManager && $isEditingWeblink) {		


//// Get the weblinks Category Name from the database using the Category ID

// get a JTable Category object
$weblinkscategory = & JTable::getInstance('category');

// load the row with a specific catid
$weblinkscategory->load($weblinkspost['catid']);

// Check for errors and display message to suit
if( !$weblinkscategory->load( $weblinkspost['catid'] ) ) { 
JError::raiseError( 500, $weblinkscategory->getError());
}

//$weblinkscategory now contains all the fields from that row, set variables for the values we want
$weblinkscategoryname = $weblinkscategory->title;





//////////////////////////// MANAGER ///////////////////////////////

		If ($WeblinkisNew) {
			
// Manager - Created Weblink

			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'weblinksaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'hascreatedweblink' ) . ' "' . $weblinksposttitle . "\"\n";
			$msg .= JText::_( 'weblinkscategoryname' ) . ' ' . $weblinkscategoryname . "\n";
			$msg .= JText::_( 'weblinksurl' ) . ' ' . $weblinksposturl . "\n";
			$msg .= JText::_( 'weblinkspublishstate' ) . ' ' . $weblinkspublishedtext . "\n";
			$msg .= JText::_( 'weblinksdescription' ) . ' ' . $weblinkspostdescription . "\n";
			$msg .= JText::_( 'weblinkslink' ) . ' ' . $weblinksaddress . "\n";
			$msg .= JText::_( 'weblinkseditlink' ) . ' ' . $SERVERWITHSUB . "administrator/index.php?option=com_weblinks&view=weblink&task=edit&cid[]=" . $WEBLINKS_ID . "\n";


			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'managerweblinkcreatesubject') . ' ' . $user->name . ' ' . JText::_( 'hascreatedweblink' ) . ' "' . $weblinksposttitle . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'managerweblinkcreaterecipient'));
			$mail->Send();
			}
			else {
				
// Manager - Edited Weblink

			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'weblinksaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'haseditedweblink' ) . ' "' . $weblinksposttitle . "\"\n";
			$msg .= JText::_( 'weblinkscategoryname' ) . ' ' . $weblinkscategoryname . "\n";
			$msg .= JText::_( 'weblinksurl' ) . ' ' . $weblinksposturl . "\n";
			$msg .= JText::_( 'weblinkspublishstate' ) . ' ' . $weblinkspublishedtext . "\n";
			$msg .= JText::_( 'weblinksdescription' ) . ' ' . $weblinkspostdescription . "\n";
			$msg .= JText::_( 'weblinkslink' ) . ' ' . $weblinksaddress . "\n";
			$msg .= JText::_( 'weblinkseditlink' ) . ' ' . $SERVERWITHSUB . "administrator/index.php?option=com_weblinks&view=weblink&task=edit&cid[]=" . $weblinkspostid . "\n";


			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'managerweblinkeditsubject') . ' ' . $user->name . ' ' . JText::_( 'haseditedweblink' ) . ' "' . $weblinksposttitle . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'managerweblinkeditrecipient'));
			$mail->Send();
	
			}
	
			}

if ($isManager && $isDeletingWeblink) {
// Manager - Deleted Weblink


if ($mainframe->isAdmin()) {

$cid = JRequest::getVar( 'cid', array(0), 'post', 'array' );
JArrayHelper::toInteger($cid, array(0));

// Get the list of content id numbers to send to trash.
$cids = implode(',', $cid);

//// Get Weblink info from CIDS

		$query = 	'SELECT a.title AS name, a.catid as categoryid, a.url as url, a.description as description'
		. ' FROM #__weblinks AS a'
		. ' WHERE ( a.id IN ( '.$cids.' ) )'
		. ' ORDER BY a.title'
		;
		$db->setQuery( $query );
		$items = $db->LoadObjectList();
		if (!$db->query()) {
   		JError::raiseError( 500, $items->getError());
    		return;
		}




foreach ($items as $item) {

//// Get the Weblink Category Name from the database using the Category ID

// get a JTable Category object
$weblinkcategory = & JTable::getInstance('category');

// load the row with a specific id
$weblinkcategory->load($item->categoryid);

// Check for errors and display message to suit
if( !$weblinkcategory->load($item->categoryid) ) { 
JError::raiseError( 500, $weblinkcategory->getError());
}

//$weblinkcategory now contains all the fields from that row, set variables for the values we want
$weblinkscategoryname = $weblinkcategory->title;




// Get variables required
$weblinksposttitle = $item->name;
$weblinksposturl = $item->url;
$weblinkspostdescription = $item->description;





			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'weblinksaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'hasdeletedweblink' ) . ' "' . $weblinksposttitle . "\"\n";
			$msg .= JText::_( 'weblinkscategoryname' ) . ' ' . $weblinkscategoryname . "\n";
			$msg .= JText::_( 'weblinksurl' ) . ' ' . $weblinksposturl . "\n";
			$msg .= JText::_( 'weblinksdescription' ) . ' ' . $weblinkspostdescription . "\n";


			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'managerweblinkdeletesubject') . ' ' . $user->name . ' ' . JText::_( 'hasdeletedweblink' ) . ' "' . $weblinksposttitle . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'managerweblinkdeleterecipient'));
			$mail->Send();
}
}

}







if ($isAdministrator && $isEditingWeblink) {		


//// Get the weblinks Category Name from the database using the Category ID

// get a JTable Category object
$weblinkscategory = & JTable::getInstance('category');

// load the row with a specific catid
$weblinkscategory->load($weblinkspost['catid']);

// Check for errors and display message to suit
if( !$weblinkscategory->load( $weblinkspost['catid'] ) ) { 
JError::raiseError( 500, $weblinkscategory->getError());
}

//$weblinkscategory now contains all the fields from that row, set variables for the values we want
$weblinkscategoryname = $weblinkscategory->title;





//////////////////////////// ADMINISTRATOR ///////////////////////////////

		If ($WeblinkisNew) {
			
// Administrator - Created Weblink

			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'weblinksaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'hascreatedweblink' ) . ' "' . $weblinksposttitle . "\"\n";
			$msg .= JText::_( 'weblinkscategoryname' ) . ' ' . $weblinkscategoryname . "\n";
			$msg .= JText::_( 'weblinksurl' ) . ' ' . $weblinksposturl . "\n";
			$msg .= JText::_( 'weblinkspublishstate' ) . ' ' . $weblinkspublishedtext . "\n";
			$msg .= JText::_( 'weblinksdescription' ) . ' ' . $weblinkspostdescription . "\n";
			$msg .= JText::_( 'weblinkslink' ) . ' ' . $weblinksaddress . "\n";
			$msg .= JText::_( 'weblinkseditlink' ) . ' ' . $SERVERWITHSUB . "administrator/index.php?option=com_weblinks&view=weblink&task=edit&cid[]=" . $WEBLINKS_ID . "\n";


			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'administratorweblinkcreatesubject') . ' ' . $user->name . ' ' . JText::_( 'hascreatedweblink' ) . ' "' . $weblinksposttitle . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'administratorweblinkcreaterecipient'));
			$mail->Send();
			}
			else {
				
// Administrator - Edited Weblink

			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'weblinksaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'haseditedweblink' ) . ' "' . $weblinksposttitle . "\"\n";
			$msg .= JText::_( 'weblinkscategoryname' ) . ' ' . $weblinkscategoryname . "\n";
			$msg .= JText::_( 'weblinksurl' ) . ' ' . $weblinksposturl . "\n";
			$msg .= JText::_( 'weblinkspublishstate' ) . ' ' . $weblinkspublishedtext . "\n";
			$msg .= JText::_( 'weblinksdescription' ) . ' ' . $weblinkspostdescription . "\n";
			$msg .= JText::_( 'weblinkslink' ) . ' ' . $weblinksaddress . "\n";
			$msg .= JText::_( 'weblinkseditlink' ) . ' ' . $SERVERWITHSUB . "administrator/index.php?option=com_weblinks&view=weblink&task=edit&cid[]=" . $weblinkspostid . "\n";


			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'administratorweblinkeditsubject') . ' ' . $user->name . ' ' . JText::_( 'haseditedweblink' ) . ' "' . $weblinksposttitle . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'administratorweblinkeditrecipient'));
			$mail->Send();
	
			}
	
			}

if ($isAdministrator && $isDeletingWeblink) {
// Administrator - Deleted Weblink


if ($mainframe->isAdmin()) {

$cid = JRequest::getVar( 'cid', array(0), 'post', 'array' );
JArrayHelper::toInteger($cid, array(0));

// Get the list of content id numbers to send to trash.
$cids = implode(',', $cid);

//// Get Weblink info from CIDS

		$query = 	'SELECT a.title AS name, a.catid as categoryid, a.url as url, a.description as description'
		. ' FROM #__weblinks AS a'
		. ' WHERE ( a.id IN ( '.$cids.' ) )'
		. ' ORDER BY a.title'
		;
		$db->setQuery( $query );
		$items = $db->LoadObjectList();
		if (!$db->query()) {
   		JError::raiseError( 500, $items->getError());
    		return;
		}




foreach ($items as $item) {

//// Get the Weblink Category Name from the database using the Category ID

// get a JTable Category object
$weblinkcategory = & JTable::getInstance('category');

// load the row with a specific id
$weblinkcategory->load($item->categoryid);

// Check for errors and display message to suit
if( !$weblinkcategory->load($item->categoryid) ) { 
JError::raiseError( 500, $weblinkcategory->getError());
}

//$weblinkcategory now contains all the fields from that row, set variables for the values we want
$weblinkscategoryname = $weblinkcategory->title;




// Get variables required
$weblinksposttitle = $item->name;
$weblinksposturl = $item->url;
$weblinkspostdescription = $item->description;





			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'weblinksaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'hasdeletedweblink' ) . ' "' . $weblinksposttitle . "\"\n";
			$msg .= JText::_( 'weblinkscategoryname' ) . ' ' . $weblinkscategoryname . "\n";
			$msg .= JText::_( 'weblinksurl' ) . ' ' . $weblinksposturl . "\n";
			$msg .= JText::_( 'weblinksdescription' ) . ' ' . $weblinkspostdescription . "\n";


			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'administratorweblinkdeletesubject') . ' ' . $user->name . ' ' . JText::_( 'hasdeletedweblink' ) . ' "' . $weblinksposttitle . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'administratorweblinkdeleterecipient'));
			$mail->Send();
}
}

}





if ($isSuperAdministrator && $isEditingWeblink) {		


//// Get the weblinks Category Name from the database using the Category ID

// get a JTable Category object
$weblinkscategory = & JTable::getInstance('category');

// load the row with a specific catid
$weblinkscategory->load($weblinkspost['catid']);

// Check for errors and display message to suit
if( !$weblinkscategory->load( $weblinkspost['catid'] ) ) { 
JError::raiseError( 500, $weblinkscategory->getError());
}

//$weblinkscategory now contains all the fields from that row, set variables for the values we want
$weblinkscategoryname = $weblinkscategory->title;





//////////////////////////// SUPER ADMINISTRATOR ///////////////////////////////

		If ($WeblinkisNew) {
			
// Super Administrator - Created Weblink

			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'weblinksaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'hascreatedweblink' ) . ' "' . $weblinksposttitle . "\"\n";
			$msg .= JText::_( 'weblinkscategoryname' ) . ' ' . $weblinkscategoryname . "\n";
			$msg .= JText::_( 'weblinksurl' ) . ' ' . $weblinksposturl . "\n";
			$msg .= JText::_( 'weblinkspublishstate' ) . ' ' . $weblinkspublishedtext . "\n";
			$msg .= JText::_( 'weblinksdescription' ) . ' ' . $weblinkspostdescription . "\n";
			$msg .= JText::_( 'weblinkslink' ) . ' ' . $weblinksaddress . "\n";
			$msg .= JText::_( 'weblinkseditlink' ) . ' ' . $SERVERWITHSUB . "administrator/index.php?option=com_weblinks&view=weblink&task=edit&cid[]=" . $WEBLINKS_ID . "\n";


			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'superadministratorweblinkcreatesubject') . ' ' . $user->name . ' ' . JText::_( 'hascreatedweblink' ) . ' "' . $weblinksposttitle . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'superadministratorweblinkcreaterecipient'));
			$mail->Send();
			}
			else {
				
// Super Administrator - Edited Weblink

			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'weblinksaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'haseditedweblink' ) . ' "' . $weblinksposttitle . "\"\n";
			$msg .= JText::_( 'weblinkscategoryname' ) . ' ' . $weblinkscategoryname . "\n";
			$msg .= JText::_( 'weblinksurl' ) . ' ' . $weblinksposturl . "\n";
			$msg .= JText::_( 'weblinkspublishstate' ) . ' ' . $weblinkspublishedtext . "\n";
			$msg .= JText::_( 'weblinksdescription' ) . ' ' . $weblinkspostdescription . "\n";
			$msg .= JText::_( 'weblinkslink' ) . ' ' . $weblinksaddress . "\n";
			$msg .= JText::_( 'weblinkseditlink' ) . ' ' . $SERVERWITHSUB . "administrator/index.php?option=com_weblinks&view=weblink&task=edit&cid[]=" . $weblinkspostid . "\n";


			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'superadministratorweblinkeditsubject') . ' ' . $user->name . ' ' . JText::_( 'haseditedweblink' ) . ' "' . $weblinksposttitle . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'superadministratorweblinkeditrecipient'));
			$mail->Send();
	
			}
	
			}

if ($isSuperAdministrator && $isDeletingWeblink) {
// Super Administrator - Deleted Weblink


if ($mainframe->isAdmin()) {

$cid = JRequest::getVar( 'cid', array(0), 'post', 'array' );
JArrayHelper::toInteger($cid, array(0));

// Get the list of content id numbers to send to trash.
$cids = implode(',', $cid);

//// Get Weblink info from CIDS

		$query = 	'SELECT a.title AS name, a.catid as categoryid, a.url as url, a.description as description'
		. ' FROM #__weblinks AS a'
		. ' WHERE ( a.id IN ( '.$cids.' ) )'
		. ' ORDER BY a.title'
		;
		$db->setQuery( $query );
		$items = $db->LoadObjectList();
		if (!$db->query()) {
   		JError::raiseError( 500, $items->getError());
    		return;
		}




foreach ($items as $item) {

//// Get the Weblink Category Name from the database using the Category ID

// get a JTable Category object
$weblinkcategory = & JTable::getInstance('category');

// load the row with a specific id
$weblinkcategory->load($item->categoryid);

// Check for errors and display message to suit
if( !$weblinkcategory->load($item->categoryid) ) { 
JError::raiseError( 500, $weblinkcategory->getError());
}

//$weblinkcategory now contains all the fields from that row, set variables for the values we want
$weblinkscategoryname = $weblinkcategory->title;




// Get variables required
$weblinksposttitle = $item->name;
$weblinksposturl = $item->url;
$weblinkspostdescription = $item->description;





			$msg = JText::_( 'domain' ) . ' ' . $SERVER . "\n";
			$msg .= JText::_( 'sitename' ) . ' ' . $sitename . "\n";
			$msg .= JText::_( 'weblinksaction' ) . ' ' . $user->name . ' (' . $user->email .') ' . JText::_( 'hasdeletedweblink' ) . ' "' . $weblinksposttitle . "\"\n";
			$msg .= JText::_( 'weblinkscategoryname' ) . ' ' . $weblinkscategoryname . "\n";
			$msg .= JText::_( 'weblinksurl' ) . ' ' . $weblinksposturl . "\n";
			$msg .= JText::_( 'weblinksdescription' ) . ' ' . $weblinkspostdescription . "\n";


			$mail =& JFactory::getMailer();
			$mail->setSubject( $this->params->get( 'superadministratorweblinkdeletesubject') . ' ' . $user->name . ' ' . JText::_( 'hasdeletedweblink' ) . ' "' . $weblinksposttitle . '"');
			$mail->setBody($msg);
			$mail->addRecipient( $this->params->get( 'superadministratorweblinkdeleterecipient'));
			$mail->Send();
}
}

}











}
}
}
?>
